charles2
(Charles)
1
The Sweep1 function is not sweeping through all my spiral, can someone advise as to why this is?
import rhinoscriptsyntax as rs
import Rhino.Geometry as rg
sw= rg.SweepOneRail()
sw.SetRoadlikeUpDirection(rs.CreateVector(0,0,1))
a = rg.SweepOneRail.PerformSweep(sw, rail ,profile)
sweep1_bug.gh (6.7 KB)
RIL
(Rolf)
2
A workaround could be to overshoot and split the result (?).
// Rolf
charles2
(Charles)
3
Thanks for the input but I’d much prefer get to the bottom of it.
1 Like
Willem
(Willem Derks)
4
you mean to the top op it right?
I did some tests and this looks like a bug indeed.
-Willem
charles2
(Charles)
5
Preferably, and it seems that rotating the profile so that the centre of the outermost curve lines up with the start of the spiral solves this issue.
Willem
(Willem Derks)
6
The rhino command handles this correctly so still something is off
-Willem
1 Like